<title>Reporte de compras</title><div id="d_preocesando" align="center" style="margin-top:80px;"><img src="images/procesando.gif" width="137" height="75"></div>

<script language="javascript">

</script>



<?php
//include "procesos/creditos_formulas.php";
include("conexion.php");

error_reporting(0);

//session_start();
//include "verifica.php";


?>
<script src="assets/js/funciones.js"></script>
<script src="assets/js/numerosletras2.js"></script>

<style type="text/css">
<!--
.Estilo6 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	letter-spacing: 0px;
}
.Estilo8 {font-family: Arial, Helvetica, sans-serif; font-size: 11px; font-weight: bold; font-stretch:condensed; }

.Estilo10 {font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: bold; letter-spacing: -1px; }

.Estilo11 {font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: normal; letter-spacing: 0px; }

.Estilo9 {
	font-size: 16px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.Estilo16 {	font-family: Arial, Helvetica, sans-serif;
	font-size: 11px;
	font-stretch:condensed;
}
.Estilo17 {font-size: 11px; letter-spacing: -1px; font-family: Arial, Helvetica, sans-serif;}




-->
</style>
</head>

  <?php
  

	include("conexion.php");			
	include "procesos/validaciones.php";
	
	//$xcaja_estado = $vali->caja_estado($conexion);
			
	
	@$xaccion2=$_REQUEST['xaccion2'];
	@$xcriterio=$_REQUEST['xcriterio'];												
	
	@$xactivar_fechas=$_REQUEST['xactivar_fechas'];				
	
?>
	<script language="javascript">
//	alert('xactivar_fechas: <?php echo $xactivar_fechas; ?>');
	</script>			

<?php		
	
	
	@$xfecha_inicio=$_REQUEST['xfecha_inicio'];	
	@$xfecha_fin=$_REQUEST['xfecha_fin'];				
	
	if(!isset($xfecha_inicio)){
	
		$xfecha_inicio = date("Y-m-d");
		$xfecha_fin = date("Y-m-d");
	}
	
	@$xactivar_pendientes=$_REQUEST['xactivar_pendientes'];							
	@$xactivar_documento=$_REQUEST['xactivar_documento'];										
	
	@$xpagodocumento_criterio=$_REQUEST['xpagodocumento_criterio'];
	
	
	@$xempresa_criterio=$_REQUEST['xempresa_criterio'];						
	@$xactivar_empresa=$_REQUEST['xactivar_empresa'];
	


	@$xid=$_REQUEST['xid'];
	@$xaccion2=$_REQUEST['xaccion2'];
	@$xcriterio=$_REQUEST['xcriterio'];	
	
	
	@$xs_empresa=$_SESSION['s_empresa'];																								


  ?>
  
  

  <?php
	$nfila=8;
	$nfila_inicial=0;

	$xemp_nom ="";
	
	if($xactivar_empresa != 1){
		$xempresa_criterio = $xs_empresa;
	}
	
	if($xempresa_criterio!=NULL and trim($xempresa_criterio!="")){
		$r_empresa = mysqli_query($conexion, "SELECT * FROM empresas e WHERE emp_codi=$xempresa_criterio;");
		while($row_empresa = mysqli_fetch_array($r_empresa)){
			$xemp_nom = $row_empresa['emp_nom'];	
		}
	}	

	if($xactivar_empresa == 1){
		if($xempresa_criterio!=NULL and trim($xempresa_criterio!="")){	
			$xemp_nom = $xemp_nom;		
		}else{
			$xemp_nom ="TODOS";
		}
		//$xcretip_nombre ="";		
	}else{
		//$xemp_nom ="TODOS";
		$xemp_nom = $xemp_nom;		
	}
	

	@$xs_empresa=$_SESSION['s_empresa'];																									




	if($xactivar_documento == 1 and trim($xpagodocumento_criterio)!=""){
		//$xcretip_nombre ="";		
	}else{
		$xdoc_nom ="TODOS";
	}
	

	$xdoc_nom ="";
	
	if($xpagodocumento_criterio!=NULL and trim($xpagodocumento_criterio!="")){
		$r_documento = mysqli_query($conexion, "select * from documento_pago WHERE docpag_codi=$xpagodocumento_criterio;");
		while($row_documento = mysqli_fetch_array($r_documento)){
			$xdoc_nom = $row_documento['docpag_nombre'];
	
		}
	}	

	if($xactivar_documento == 1 and trim($xpagodocumento_criterio)!=""){
		//$xcretip_nombre ="";		
	}else{
		$xdoc_nom ="TODOS";
	}



	require "phpspreadsheet/vendor/autoload.php";
	use PhpOffice\PhpSpreadsheet\Spreadsheet;
	use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
	
	$spreadsheet = new Spreadsheet();
	$sheet = $spreadsheet->getActiveSheet();	

											
	/** PHPExcel */
	//require_once 'excel/Classes/PHPExcel.php';
	
	// Creamos nueva instancia de PHPExcel 
	//$objPHPExcel = new PHPExcel();
	
	// Seleccionando la fuente a utilizar
	//$sheet->getFont()->setName('Arial');
	//$sheet->getFont()->setSize(10);
	
	//combinando celdas
	//$objPHPExcel->getActiveSheet()->mergeCells('A1:F1');  
	//$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_JUSTIFY);
	//$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
	
	
	
	
	// Escribiendo los datos 
	
	$sheet->setCellValue('A1','REPORTE DE COMPRAS');
	
	$sheet->setCellValue('A2','FECHA DE REPORTE:');
	$sheet->setCellValue('A3','CRITERIO DE FILTRO:');
	
	$sheet->setCellValue('B2',date("d/m/Y") );
	$sheet->setCellValue('B3','RANGO DE FECHAS:');
	$sheet->setCellValue('B4','TIPO DE DOCUMENTO:');
	$sheet->setCellValue('B5','EMPRESA (SUCURSAL):');
	
	$sheet->setCellValue('C3','Desde '.date("d/m/Y",strtotime($xfecha_inicio)).' hasta '.date("d/m/Y",strtotime($xfecha_fin))  );  
	$sheet->setCellValue('C4',$xdoc_nom);
	$sheet->setCellValue('C5',$xemp_nom);
	
	

  
  ?>

  
                <?php 
				
				
		$nfila_cabecera = 7;		
		
		//$nfila_cabecera = $nfila - 1;
		
		//$nfila_ano_mes = $nfila_cabecera - 1;


//		$objPHPExcel->getActiveSheet()->mergeCells('A'.$nfila_ano_mes.':F'.$nfila_ano_mes);  
//		$objPHPExcel->getActiveSheet()->getStyle('A'.$nfila_ano_mes)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_JUSTIFY);
//		$objPHPExcel->getActiveSheet()->getStyle('A'.$nfila_ano_mes)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);

//		$objPHPExcel->getActiveSheet()->setCellValue('A'.$nfila_ano_mes, $cmes." - ".$xn);
		
		// Escribiendo los datos 
		$sheet->setCellValue('A'.$nfila_cabecera,'NRO.');
		
		$sheet->setCellValue('B'.$nfila_cabecera,'FECHA DE EMISION DEL COMPROBANTE DE PAGO O DOCUMENTO');
		$sheet->setCellValue('C'.$nfila_cabecera,'FECHA DE VENCIMIENTO O FECHA DE PAGO');
		$sheet->setCellValue('D'.$nfila_cabecera,'TIPO');
		$sheet->setCellValue('E'.$nfila_cabecera,'NRO.SERIE/NRO.SERIE MAQ REGIS');
		
		$sheet->setCellValue('F'.$nfila_cabecera,'ANO DUA O DSI');
		
		$sheet->setCellValue('G'.$nfila_cabecera,'NUMERO');
		$sheet->setCellValue('H'.$nfila_cabecera,'TIPO DOCUMENTO IDENTIDAD');
		
		$sheet->setCellValue('I'.$nfila_cabecera,'NUMERO DOCUMENTO IDENTIDAD');
		$sheet->setCellValue('J'.$nfila_cabecera,'APELLIDOS Y NOMBRES, DENOMINACION O RAZON SOCIAL');				
			
		$sheet->setCellValue('K'.$nfila_cabecera,'BASE IMPONIBLE ADQUISICIONES GRAVADAS DESTINADAS A OPERACIONES GRAVADAS Y/O DE EXPORTACIONES');	
		$sheet->setCellValue('L'.$nfila_cabecera,'IGV IMPONIBLE ADQUISICIONES GRAVADAS DESTINADAS A OPERACIONES GRAVADAS Y/O DE EXPORTACIONES');			

		$sheet->setCellValue('M'.$nfila_cabecera,'BASE IMPONIBLE ADQUISICIONES GRAVADAS DESTINADAS A OPERACIONES GRAVADAS Y/O DE EXPORTACIONES Y OPERACIONES NO GRABADAS');	
		$sheet->setCellValue('N'.$nfila_cabecera,'IGV IMPONIBLE ADQUISICIONES GRAVADAS DESTINADAS A OPERACIONES GRAVADAS Y/O DE EXPORTACIONES Y OPERACIONES NO GRABADAS');			

		$sheet->setCellValue('O'.$nfila_cabecera,'BASE IMPONIBLE ADQUISICIONES GRAVADAS DESTINADAS A OPERACIONES NO GRAVADAS');	
		$sheet->setCellValue('P'.$nfila_cabecera,'IGV IMPONIBLE ADQUISICIONES GRAVADAS DESTINADAS A OPERACIONES NO GRAVADAS');			

					
		$sheet->setCellValue('Q'.$nfila_cabecera,'VALOR DE LAS ADQUISICIONES NO GRAVADAS');		
		$sheet->setCellValue('R'.$nfila_cabecera,'ISC');		
		$sheet->setCellValue('S'.$nfila_cabecera,'OTROS TRIBUTOS Y CARGOS');
		
		$sheet->setCellValue('T'.$nfila_cabecera,'IMPORTE TOTAL');
		$sheet->setCellValue('U'.$nfila_cabecera,'NRO DE COMPROBANTE DE PAGO EMITIDO POR SUJETO NO DOMICILIADO');
				
		$sheet->setCellValue('V'.$nfila_cabecera,'NRO DE CONSTANCIA DE DEPOSITO DE DETRACCION');
		$sheet->setCellValue('W'.$nfila_cabecera,'FECHA DE EMISION DE CONSTANCIA DE DEPOSITO DE DETRACCION');
				
		$sheet->setCellValue('X'.$nfila_cabecera,'TIPO DE CAMBIO');				
				
		$sheet->setCellValue('Y'.$nfila_cabecera,'FECHA REFERENCIA');
		$sheet->setCellValue('Z'.$nfila_cabecera,'TIPO REFERENCIA');
		$sheet->setCellValue('AA'.$nfila_cabecera,'SERIE REFERENCIA');
		$sheet->setCellValue('AB'.$nfila_cabecera,'NRO. REFERENCIA');	
		
		$sheet->setCellValue('AC'.$nfila_cabecera,'IGV PORCENTAJE');	
		
		$sheet->setCellValue('AD'.$nfila_cabecera,'CUENTA CONTABLE');													


												$xsql_empresa = "";
												
												if(isset($xaccion2)){
																								
													if(@$xactivar_empresa==1){																										
														if(trim($xempresa_criterio)==""){
															$xsql_empresa = "";
														}else{	
															$xsql_empresa = " o.emp_codi_fk=$xempresa_criterio AND ";
														}	
													}else{													
														$xsql_empresa = " o.emp_codi_fk=$xs_empresa AND ";																			
													}
														

													if(@$xactivar_documento==1){																										
														if(trim($xpagodocumento_criterio)==0){
															$xsql_documento = " (o.docpag_codi_fk=2 or  o.docpag_codi_fk=3) AND ";
														}else{	
															if(trim($xpagodocumento_criterio)==1){
																$xsql_documento = " o.docpag_codi_fk=1 AND ";
															}else{	
																if(trim($xpagodocumento_criterio)==2){
																	$xsql_documento = " o.docpag_codi_fk=2 AND ";
																}else{	
																	if(trim($xpagodocumento_criterio)==3){
																		$xsql_documento = " o.docpag_codi_fk=3 AND ";
																	}else{	
																		$xsql_documento = " ";
																	}	
																}	
															}	
														}	
													}else{													
														$xsql_documento = " ";																			
													}																																										
																								
													//echo "xactivar_fechas::: ".$xactivar_fechas;
												
													if($xactivar_fechas==1){
													
														$result22=mysqli_query($conexion,"SELECT o.*, p.*, dp.*, pt.*, n.*, ocd.*,
														SUM(((ordcomdet_precio) * (ordcomdet_cantidad))) AS monto,
														SUM(((ordcomdet_precio) * (ordcomdet_cantidad_devolver))) AS monto_devolver,
														SUM(((ordcomdet_precio_descuento) * (ordcomdet_cantidad))) AS monto_descuento,
														SUM(ordcomdet_cantidad) AS cantidad_total,
														SUM(ordcomdet_cantidad_devolver) AS cantidad_total_devolver,
														SUM(ordcomdet_cantidad) AS cantidad_total_descuento
																												
														FROM orden_compra o
														INNER JOIN personas p ON o.per_codi_fk=p.per_codi
														INNER JOIN orden_compra_detalle ocd ON ocd.ordcom_codi_fk=o.ordcom_codi
														INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk	
														INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi 	
														INNER JOIN nota_credito_compra n ON n.ordcom_codi_fk=o.ordcom_codi 
														WHERE ".$xsql_empresa.$xsql_documento."	
														n.notcrecom_fecha<='$xfecha_fin' and 
														n.notcrecom_fecha>='$xfecha_inicio' 
														GROUP BY n.notcrecom_codi 
														ORDER BY n.notcrecom_fecha ASC, 
														n.notcrecom_numero ASC;");														
													
																										
														$result1=mysqli_query($conexion,"SELECT o.*, p.*, dp.*, pt.*, cc.cc_tipo,
														SUM(ordcomdet_precio * ordcomdet_cantidad) AS monto														
														FROM orden_compra o
														INNER JOIN personas p ON o.per_codi_fk=p.per_codi
														INNER JOIN orden_compra_detalle ocd ON ocd.ordcom_codi_fk=o.ordcom_codi
														INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk	
														INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi 
														LEFT JOIN cuentas_contables cc ON cc.cc_codi=o.ordcom_cc_codi_fk 													
														WHERE ".$xsql_empresa.$xsql_documento."												
														o.ordcom_fecha<='$xfecha_fin' and
														o.ordcom_fecha>='$xfecha_inicio' 
														GROUP BY o.ordcom_codi
														ORDER BY o.ordcom_fecha ASC, ordcom_numero ASC;");
													
													}else{													
														
														$result1=mysqli_query($conexion,"SELECT o.*, p.*, dp.*, pt.*, 														
														SUM(ordcomdet_precio * ordcomdet_cantidad) AS monto
														FROM orden_compra o
														INNER JOIN personas p ON o.per_codi_fk=p.per_codi
														INNER JOIN orden_compra_detalle ocd ON ocd.ordcom_codi_fk=o.ordcom_codi
														INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk		
														INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi															
														LEFT JOIN cuentas_contables cc ON cc.cc_codi=o.ordcom_cc_codi_fk 																																						
														WHERE ".$xsql_empresa.$xsql_documento."	
														1=1													
														GROUP BY o.ordcom_codi
														ORDER BY o.ordcom_fecha ASC, ordcom_numero ASC;");													
														
													}
																																																				
												}else{
																																						
													$result1=mysqli_query($conexion,"SELECT o.*, p.*, dp.*, pt.*, 
													SUM(ordcomdet_precio * ordcomdet_cantidad) AS monto
													FROM orden_compra o
													INNER JOIN personas p ON o.per_codi_fk=p.per_codi
													INNER JOIN orden_compra_detalle ocd ON ocd.ordcom_codi_fk=o.ordcom_codi
													INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk													
													INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi													
													LEFT JOIN cuentas_contables cc ON cc.cc_codi=o.ordcom_cc_codi_fk 																										
													WHERE ".$xsql_empresa.$xsql_documento."
													1=1
													GROUP BY o.ordcom_codi
													ORDER BY o.ordcom_fecha ASC, ordcom_numero ASC;");										
													
												}
												
												$nregistros = mysqli_num_rows($result1);
												$nn=0;
												$xtotal_pendiente=0;
												$xtotal_amortizado=0;
												$xtotal_monto=0;
												
												$nr=0;
												
												while($row1=mysqli_fetch_array($result1)){

													$nn=$nn+1;
													
													$xamortizado=0;
													$xordcom_codi=$row1['ordcom_codi'];
													

													$xmonto = $row1['monto'];
													
													$xfecha_referencia = "";
													$xtipo_referencia = "";
													$xserie_referencia = "";
													$xnumero_referencia = "";	
													
													/*																																						
													$r_nota_credito = mysqli_query($conexion,"SELECT * FROM nota_credito WHERE ordped_codi_fk = $xordped_codi;");
													while($row_nota_credito = mysqli_fetch_array($r_nota_credito)){
														$xfecha_referencia = date("d/m/Y",strtotime($row_nota_credito['notcre_fecha']));
														$xtipo_referencia = $row_nota_credito['notcretip_codi_fk'];
														$xserie_referencia = substr(trim($row_nota_credito['notcre_numero']),0,4);
														$xnumero_referencia = substr(trim($row_nota_credito['notcre_numero']),5,10);		
													}
													*/	
													
													$xmonto_exonerado = 0;
													$r_exonerado = mysqli_query($conexion,"SELECT sum(ordcomdet_cantidad * ordcomdet_precio) AS monto_exonerado 
																							FROM 			
																							orden_compra_detalle o
																							WHERE ordcom_codi_fk = $xordcom_codi
																							AND ordcomdet_igv_afectado=1;");
													while($row_exonerado = mysqli_fetch_array($r_exonerado)){
														$xmonto_exonerado = $row_exonerado['monto_exonerado'];
													}
													
													$xmonto_grabado = 0;
													$r_grabado = mysqli_query($conexion,"SELECT sum(ordcomdet_cantidad * ordcomdet_precio) AS monto_grabado 
																							FROM 			
																							orden_compra_detalle o
																							WHERE ordcom_codi_fk = $xordcom_codi
																							AND ordcomdet_igv_afectado=0;");
													while($row_grabado = mysqli_fetch_array($r_grabado)){
														$xmonto_grabado = $row_grabado['monto_grabado'];
													}
																																	
																																							
													$xordcom_numero = $row1['ordcom_numero'];
													$xordcom_docpagnum = $row1['ordcom_docpagnum'];
													
												 	$xposicion_guion = strpos($xordcom_docpagnum, '-');
													
													$xserie = substr(trim($xordcom_docpagnum),0,$xposicion_guion);
													$xncomprobante = substr(trim($xordcom_docpagnum),$xposicion_guion+1,10);	
													
													$xordcom_igv_porcentaje = $row1['ordcom_igv_porcentaje'];
													
																																																																						
																										
													$sheet->setCellValue('A'.$nfila,trim($xordcom_numero) );					
													$sheet->setCellValue('B'.$nfila,date("d/m/Y",strtotime($row1['ordcom_fecha'])) );
													$sheet->setCellValue('C'.$nfila,date("d/m/Y",strtotime($row1['ordcom_fecha'])) );
													$sheet->setCellValue('D'.$nfila,$row1['comtip_codigo_fk']);
													$sheet->setCellValue('E'.$nfila,$xserie);
													$sheet->setCellValue('F'.$nfila,'');
													
													$xncomprobante = "=\"" . trim($xncomprobante) . "\"";
													$sheet->setCellValue('G'.$nfila,$xncomprobante);
													$sheet->setCellValue('H'.$nfila,$row1['per_ruc_dni_tipo']);
													
													$xruc = "=\"" . utf8_encode($row1['per_ruc']) . "\"";
													$sheet->setCellValue('I'.$nfila,$xruc);
													$sheet->setCellValue('J'.$nfila,utf8_encode($row1['per_nombre_comercial']));
													
													//$xbase_imponible = $row1['monto'] / (1 + ($row1['ordcom_igv_porcentaje'] / 100));
													$xbase_imponible = $xmonto_grabado / (1 + ($row1['ordcom_igv_porcentaje'] / 100));
													$sheet->setCellValue('K'.$nfila,number_format($xbase_imponible,2,'.','') );
													
													$xigv = $xmonto_grabado - $xbase_imponible;					
													$sheet->setCellValue('L'.$nfila,number_format($xigv,2,'.',''));										
													
													$sheet->setCellValue('M'.$nfila,'');
													$sheet->setCellValue('N'.$nfila,'');
													$sheet->setCellValue('O'.$nfila,'');										
													$sheet->setCellValue('P'.$nfila,'');																								
													
													$sheet->setCellValue('Q'.$nfila,number_format($xmonto_exonerado,2,'.',''));
													$sheet->setCellValue('R'.$nfila,number_format($row1['ordcom_isc'],2,'.',''));
													$sheet->setCellValue('S'.$nfila,number_format($row1['ordcom_percepcion'],2,'.',''));
													$sheet->setCellValue('T'.$nfila,number_format($row1['monto'],2,'.','') );					
								
													$sheet->setCellValue('U'.$nfila,'');
													$sheet->setCellValue('V'.$nfila,'');
													$sheet->setCellValue('W'.$nfila,'');
													$sheet->setCellValue('X'.$nfila,'');
								
													$sheet->setCellValue('Y'.$nfila,'');
													$sheet->setCellValue('Z'.$nfila,'');
													$sheet->setCellValue('AA'.$nfila,'');
													$sheet->setCellValue('AB'.$nfila,'');
													
													$sheet->setCellValue('AC'.$nfila,$xordcom_igv_porcentaje);					
													$sheet->setCellValue('AD'.$nfila,utf8_encode($row1['cc_tipo']) );
																							
													$nfila = $nfila + 1;																		
												}
												
												
												
												
												while($row22=mysqli_fetch_array($result22)){

													$nn=$nn+1;
													
													$xamortizado=0;
													$xordcom_codi=$row22['ordcom_codi'];
													
													$xnotcretip_codi = $row22['notcretip_codi_fk'];	
													
													$xmonto = $row22['monto'];
													
													if($xnotcretip_codi==4){
													
														$xmonto	= $xnotcre_descuento;		
													}else{
													  
														$xmonto	= $row22['monto'];					
														
														if($xnotcretip_codi==7){
															$xmonto	= $row22['monto_devolver'];	
														}
												
														if($xnotcretip_codi==5){
															$xmonto	= $row22['monto_descuento'];	
														}																																						
													}
																																							
													//$xmonto = $row22['monto'];
													
													$xordped_numero = $row22['ordped_numero'];
													$xordped_docpagnum = $row22['ordped_docpagnum'];
													$xserie_referencia = substr(trim($xordped_docpagnum),0,4);
													$xncomprobante_referencia = substr(trim($xordped_docpagnum),5,10);	
													
													$xfecha_referencia = date("d/m/Y",strtotime($row22['ordped_fecha']));
													$xtipo_referencia = $row22['comtip_codigo_fk'];
													//$xserie_referencia = $xserie_referencia;
													$xnumero_referencia = $xncomprobante_referencia;																																							
													
													$xmonto_exonerado = 0;
													$r_exonerado = mysqli_query($conexion,"SELECT sum(ordcomdet_cantidad * ordcomdet_precio) AS monto_exonerado,
																							sum(ordcomdet_cantidad_devolver * ordcomdet_precio) AS monto_exonerado_devolver,
																							sum(ordcomdet_cantidad * ordcomdet_precio_descuento) AS monto_exonerado_descuento
																							FROM orden_compra_detalle o
																							WHERE ordcom_codi_fk = $xordcom_codi
																							AND ordcomdet_igv_afectado=1;");
													while($row_exonerado = mysqli_fetch_array($r_exonerado)){
														$xmonto_exonerado = $row_exonerado['monto_exonerado'];
														
														if($xnotcretip_codi==4){														
															$xmonto_exonerado = "";
														}else{														  													
															$xmonto_exonerado = $row_exonerado['monto_exonerado'];
															if($xnotcretip_codi==7){
																$xmonto_exonerado	= $row_exonerado['monto_exonerado_devolver'];	
															}													
															if($xnotcretip_codi==5){
																$xmonto_exonerado = $row_exonerado['monto_exonerado_descuento'];	
															}																																						
														}																												
													}
													
													$xmonto_grabado = 0;
													$r_grabado = mysqli_query($conexion,"SELECT sum(ordcomdet_cantidad * ordcomdet_precio) AS monto_grabado,
																							sum(ordcomdet_cantidad_devolver * ordcomdet_precio) AS monto_grabado_devolver,
																							sum(ordcomdet_cantidad * ordcomdet_precio_descuento) AS monto_grabado_descuento																																				
																							FROM orden_compra_detalle o
																							WHERE ordcom_codi_fk = $xordcom_codi
																							AND ordcomdet_igv_afectado=0;");
													while($row_grabado = mysqli_fetch_array($r_grabado)){
														$xmonto_grabado = $row_grabado['monto_grabado'];
														
														if($xnotcretip_codi==4){														
															$xmonto_grabado = "";
														}else{														  													
															$xmonto_grabado = $row_grabado['monto_grabado'];
															if($xnotcretip_codi==7){
																$xmonto_grabado	= $row_grabado['monto_grabado_devolver'];	
															}													
															if($xnotcretip_codi==5){
																$xmonto_grabado	= $row_grabado['monto_grabado_descuento'];						
															}																																						
														}														
													}																													
													
													
													$xmonto_nota = $xmonto_grabado + $xmonto_exonerado;
																																																				
													$xnotcrecom_numero = $row22['notcrecom_numero'];												
												 	$xposicion_guion = strpos($xnotcrecom_numero, '-');													
													$xserie = substr(trim($xnotcrecom_numero),0,$xposicion_guion);
													$xncomprobante = substr(trim($xnotcrecom_numero),$xposicion_guion+1,10);														
													
													
													$xordcom_docpagnum_referencia = $row22['ordcom_docpagnum'];
												 	$xposicion_guion_referencia = strpos($xordcom_docpagnum_referencia, '-');													
													$xserie_referencia = substr(trim($xordcom_docpagnum_referencia),0,$xposicion_guion_referencia);
													$xncomprobante_referencia = substr(trim($xordcom_docpagnum_referencia),$xposicion_guion_referencia+1,10);													
													
													$xordcom_igv_porcentaje = $row22['ordcom_igv_porcentaje'];
																																																																																																					
													$sheet->setCellValue('A'.$nfila,'');					
													$sheet->setCellValue('B'.$nfila,date("d/m/Y",strtotime($row22['notcrecom_fecha'])) );
													$sheet->setCellValue('C'.$nfila,date("d/m/Y",strtotime($row22['notcrecom_fecha'])) );
													$sheet->setCellValue('D'.$nfila,'07');
													$sheet->setCellValue('E'.$nfila,$xserie);
													$sheet->setCellValue('F'.$nfila,'');
													
													$xncomprobante = "=\"" . trim($xncomprobante) . "\"";
													$sheet->setCellValue('G'.$nfila,$xncomprobante);
													$sheet->setCellValue('H'.$nfila,$row22['per_ruc_dni_tipo']);
													
													$xruc = "=\"" . utf8_encode($row22['per_ruc']) . "\"";
													$sheet->setCellValue('I'.$nfila,$xruc);
													$sheet->setCellValue('J'.$nfila,utf8_encode($row22['per_nombre_comercial']));
													
													//$xbase_imponible = $row1['monto'] / (1 + ($row1['ordcom_igv_porcentaje'] / 100));
													$xbase_imponible = $xmonto_grabado / (1 + ($row22['ordcom_igv_porcentaje'] / 100));
													//$sheet->setCellValue('K'.$nfila,number_format($xbase_imponible,2,'.','') );
													$sheet->setCellValue('K'.$nfila,number_format( ($xbase_imponible * -1) ,2,'.','') );
													
													$xigv = $xmonto_grabado - $xbase_imponible;	
													
													//echo "<br>";
													//echo $xmonto_grabado." - ".$xbase_imponible;
													//echo $xbase_imponible." - ".$xigv;
													//echo "<br>";																	
													//$sheet->setCellValue('L'.$nfila,number_format($xigv,2,'.',''));										
													$sheet->setCellValue('L'.$nfila,number_format( ($xigv * -1) ,2,'.',''));	
													
													$sheet->setCellValue('M'.$nfila,'');
													$sheet->setCellValue('N'.$nfila,'');
													$sheet->setCellValue('O'.$nfila,'');										
													$sheet->setCellValue('P'.$nfila,'');																								
													
													//$sheet->setCellValue('Q'.$nfila,number_format($xmonto_exonerado,2,'.',''));
													$sheet->setCellValue('Q'.$nfila,number_format( ($xmonto_exonerado * -1) ,2,'.',''));
													
													//$sheet->setCellValue('R'.$nfila,number_format($row22['ordcom_isc'],2,'.',''));
													$sheet->setCellValue('R'.$nfila,number_format(0,2,'.',''));
													
													//$sheet->setCellValue('S'.$nfila,number_format($row22['ordcom_percepcion'],2,'.',''));
													$sheet->setCellValue('S'.$nfila,number_format(0,2,'.',''));
													
													//$sheet->setCellValue('T'.$nfila,number_format($row22['monto'],2,'.','') );	
													//$sheet->setCellValue('T'.$nfila,number_format($xmonto_nota,2,'.','') );
													$sheet->setCellValue('T'.$nfila,number_format( ($xmonto_nota * -1) ,2,'.','') );
								
													$sheet->setCellValue('U'.$nfila,'');
													$sheet->setCellValue('V'.$nfila,'');
													$sheet->setCellValue('W'.$nfila,'');
													$sheet->setCellValue('X'.$nfila,'');
								
													$sheet->setCellValue('Y'.$nfila,date("d/m/Y",strtotime($row22['ordcom_fecha'])) );
													$sheet->setCellValue('Z'.$nfila,$row22['comtip_codigo_fk']);
													$sheet->setCellValue('AA'.$nfila,$xserie_referencia);
													$sheet->setCellValue('AB'.$nfila,$xncomprobante_referencia);
													
													$sheet->setCellValue('AC'.$nfila,$xordcom_igv_porcentaje);					
													$sheet->setCellValue('AD'.$nfila,utf8_encode($row22['cc_tipo']) );
																		
													$nfila = $nfila + 1;																		
												}												
												
												
												
												
												$nfila_inicial = 8;
												$nfila_final = $nfila - 1;
															
												$nfila = $nfila + 4;
												
												
				
				
				?>

  
<?php

/*
// Nombramos la hoja 
$objPHPExcel->getActiveSheet()->setTitle('pedidos');
// Activamos para que al abrir el excel nos muestre la primer hoja
$objPHPExcel->setActiveSheetIndex(0);
// Guardamos el archivo, en este caso lo guarda con el mismo nombre del php
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
//$objWriter->save(str_replace('.php', '.xlsx', __FILE__));
$xnombre_archivo = 'excel_archivos/reporte_pedidos_consultas_contasis'.time().'.xlsx';
$objWriter->save($xnombre_archivo);
*/


$sheet->setTitle('COMPRAS');		
$writer = new Xlsx($spreadsheet);
//$writer->save('C:\xampp\ejemplo.xlsx');
//$xnombre_archivo = 'excel_archivos/REPORTE_COMPRAS_'.$xfechahora.'.xlsx';	

$zfecha_inicio = date("d-m-Y",strtotime($xfecha_inicio));
$zfecha_fin = date("d-m-Y",strtotime($xfecha_fin));

$xnombre_archivo = 'excel_archivos/REPORTE_COMPRAS('.$zfecha_inicio.'_'.$zfecha_fin.').xlsx';	
$writer->save($xnombre_archivo);  	
	

?>

<script language="javascript">
document.getElementById('d_preocesando').innerHTML="<img src='images/completado.png' width='50' height='50'> <div style='margin-top:10px;'>PROCESO COMPLETADO.</div>";
</script>
  
<script language="javascript">
//function abrir_excel(archivo){
	
	//document.getElementById('d_preocesando').innerHTML="<img src='images/completado.png' width='50' height='50'> <div style='margin-top:10px;'>PROCESO COMPLETADO.</div>";
	location.href = "<?php echo $xnombre_archivo ?>";
	
//}
</script>
  
  

<script language="javascript">
//covertirNumLetras("<?php echo $xtotal_venta;?>","tnumeros");
</script>	

